unofficial mirror of bug-gnu-emacs@gnu.org 
 help / color / mirror / Atom feed
* bug#26607: 25.1; Installed packages get status 'dependency' after removing obsolete versions.
@ 2017-04-21  8:18 Julian H
  2020-11-30 11:17 ` Lars Ingebrigtsen
  0 siblings, 1 reply; 3+ messages in thread
From: Julian H @ 2017-04-21  8:18 UTC (permalink / raw)
  To: 26607



When updating a package and then deleting the obsolete verion, the current installed packages don't have the status 'installed' afterwards but the status 'dependency'.

How to replicate:
1. M-x package-list-packages
2. M-x package-menu-mark-obsolete-for-deletion
3. delete marked packages

Then the status of the currently installed version becomes
'dependency'.  For example, this might be problematic when using M-x
package-autoremove, because these packages would be deleted.






^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#26607: 25.1; Installed packages get status 'dependency' after removing obsolete versions.
  2017-04-21  8:18 bug#26607: 25.1; Installed packages get status 'dependency' after removing obsolete versions Julian H
@ 2020-11-30 11:17 ` Lars Ingebrigtsen
  2021-01-12 20:29   ` Lars Ingebrigtsen
  0 siblings, 1 reply; 3+ messages in thread
From: Lars Ingebrigtsen @ 2020-11-30 11:17 UTC (permalink / raw)
  To: Julian H; +Cc: 26607

Julian H <julian_urlaub@outlook.com> writes:

> When updating a package and then deleting the obsolete verion, the
> current installed packages don't have the status 'installed'
> afterwards but the status 'dependency'.
>
> How to replicate:
> 1. M-x package-list-packages
> 2. M-x package-menu-mark-obsolete-for-deletion
> 3. delete marked packages

(This bug report unfortunately got no response at the time.)

With 3), do you mean `M-x package-menu-execute' (i.e., `x')?

> Then the status of the currently installed version becomes
> 'dependency'.  For example, this might be problematic when using M-x
> package-autoremove, because these packages would be deleted.

In any case, I can't reproduce this bug, because I don't seem to have
any obsolete packages installed.  Anybody else?

Are you still seeing this bug in more recent versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#26607: 25.1; Installed packages get status 'dependency' after removing obsolete versions.
  2020-11-30 11:17 ` Lars Ingebrigtsen
@ 2021-01-12 20:29   ` Lars Ingebrigtsen
  0 siblings, 0 replies; 3+ messages in thread
From: Lars Ingebrigtsen @ 2021-01-12 20:29 UTC (permalink / raw)
  To: Julian H; +Cc: 26607

Lars Ingebrigtsen <larsi@gnus.org> writes:

> Are you still seeing this bug in more recent versions of Emacs?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-01-12 20:29 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2017-04-21  8:18 bug#26607: 25.1; Installed packages get status 'dependency' after removing obsolete versions Julian H
2020-11-30 11:17 ` Lars Ingebrigtsen
2021-01-12 20:29   ` Lars Ingebrigtsen

unofficial mirror of bug-gnu-emacs@gnu.org 

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://yhetil.org/emacs-bugs/0 emacs-bugs/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 emacs-bugs emacs-bugs/ https://yhetil.org/emacs-bugs \
		bug-gnu-emacs@gnu.org
	public-inbox-index emacs-bugs

Example config snippet for mirrors.
Newsgroups are available over NNTP:
	nntp://news.yhetil.org/yhetil.emacs.bugs
	nntp://news.gmane.io/gmane.emacs.bugs


AGPL code for this site: git clone http://ou63pmih66umazou.onion/public-inbox.git